Skip to content

Get performance detail for a single social channel

GET
/cms/analytics/social/{id}
curl --request GET \
--url 'https://api.example.com/cms/analytics/social/1?export=1' \
--header 'API-Key: <API-Key>'

Requires both the /analytics/social permission and object-level access to the channel. Add export=1 to instead receive a CSV download.

id
required
integer

Channel ID

date_from
string format: date

Defaults to 7 days ago.

date_to
string format: date

Defaults to today.

export
string
Allowed values: 1

Set to 1 to receive a CSV download instead of JSON

Channel details and statistics, or a CSV file if export=1

Invalid date range

Admin authorization required

Insufficient permissions or no object access to this channel

Channel not found